package com.sheep.gamegroup.model.entity;

/**
 * Created by realicing on 2018/10/18.
 * realicing@sina.com
 */
public class PayOrder {
    /**
     * number ($double)
     * 代金券(定向货币)抵扣金额
     */
    private float CouponMoney;
    /**
     * integer ($int64)
     * 创建时间
     */
    private int CreatedAt;
    /**
     * integer ($int64)
     * 关联game_id
     */
    private int GameId;
    /**
     * integer ($int64)
     * 主键ID
     */
    private int Id;
    /**
     *	integer ($int64)
     * 关联商户ID
     */
    private int MerchantId;
    /**
     * number ($double)
     * 订单金额
     */
    private float Money;
    /**
     * 	string
     * 订单名称
     */
    private String Name;
    /**
     * integer ($int64)
     * 回调次数
     */
    private int NotifyNum;
    /**
     * integer ($int32)
     * 1:回调成功 2:未回调 3:回调失败
     */
    private int NotifyStatus;
    /**
     * integer ($int64)
     * 回调时间
     */
    private int NotifyTime;
    /**
     * string
     * 回调地址url
     */
    private String NotifyUrl;
    /**
     * string
     * 订单号
     */
    private String OrderNo;
    /**
     * string
     * 商户系统订单号
     */
    private String OutTradeNo;
    /**
     * number ($double)
     * 实际支付金额
     */
    private float PayMoney;
    /**
     * integer ($int64)
     * 支付时间
     */
    private int PayTime;
    /**
     * integer ($int64)
     * 1:绵羊币
     */
    private int PayType;
    /**
     * string
     * 备注
     */
    private String Remarks;
    /**
     * string
     * 返回地址url
     */
    private String ReturnUrl;
    /**
     * integer ($int64)
     * 更新时间
     */
    private int UpdateAt;
    /**
     * integer ($int64)
     * 状态 1:已支付 2:未支付
     */
    private int status;
    /**
     * integer ($int64)
     * 支付用户id
     */
    private int user_id;

    public void setCouponMoney(float CouponMoney){
        this.CouponMoney = CouponMoney;
    }
    public float getCouponMoney(){
        return this.CouponMoney;
    }
    public void setCreatedAt(int CreatedAt){
        this.CreatedAt = CreatedAt;
    }
    public int getCreatedAt(){
        return this.CreatedAt;
    }
    public void setGameId(int GameId){
        this.GameId = GameId;
    }
    public int getGameId(){
        return this.GameId;
    }
    public void setId(int Id){
        this.Id = Id;
    }
    public int getId(){
        return this.Id;
    }
    public void setMerchantId(int MerchantId){
        this.MerchantId = MerchantId;
    }
    public int getMerchantId(){
        return this.MerchantId;
    }
    public void setMoney(float Money){
        this.Money = Money;
    }
    public float getMoney(){
        return this.Money;
    }
    public void setName(String Name){
        this.Name = Name;
    }
    public String getName(){
        return this.Name;
    }
    public void setNotifyNum(int NotifyNum){
        this.NotifyNum = NotifyNum;
    }
    public int getNotifyNum(){
        return this.NotifyNum;
    }
    public void setNotifyStatus(int NotifyStatus){
        this.NotifyStatus = NotifyStatus;
    }
    public int getNotifyStatus(){
        return this.NotifyStatus;
    }
    public void setNotifyTime(int NotifyTime){
        this.NotifyTime = NotifyTime;
    }
    public int getNotifyTime(){
        return this.NotifyTime;
    }
    public void setNotifyUrl(String NotifyUrl){
        this.NotifyUrl = NotifyUrl;
    }
    public String getNotifyUrl(){
        return this.NotifyUrl;
    }
    public void setOrderNo(String OrderNo){
        this.OrderNo = OrderNo;
    }
    public String getOrderNo(){
        return this.OrderNo;
    }
    public void setOutTradeNo(String OutTradeNo){
        this.OutTradeNo = OutTradeNo;
    }
    public String getOutTradeNo(){
        return this.OutTradeNo;
    }
    public void setPayMoney(float PayMoney){
        this.PayMoney = PayMoney;
    }
    public float getPayMoney(){
        return this.PayMoney;
    }
    public void setPayTime(int PayTime){
        this.PayTime = PayTime;
    }
    public int getPayTime(){
        return this.PayTime;
    }
    public void setPayType(int PayType){
        this.PayType = PayType;
    }
    public int getPayType(){
        return this.PayType;
    }
    public void setRemarks(String Remarks){
        this.Remarks = Remarks;
    }
    public String getRemarks(){
        return this.Remarks;
    }
    public void setReturnUrl(String ReturnUrl){
        this.ReturnUrl = ReturnUrl;
    }
    public String getReturnUrl(){
        return this.ReturnUrl;
    }
    public void setUpdateAt(int UpdateAt){
        this.UpdateAt = UpdateAt;
    }
    public int getUpdateAt(){
        return this.UpdateAt;
    }
    public void setStatus(int status){
        this.status = status;
    }
    public int getStatus(){
        return this.status;
    }
    public void setUser_id(int user_id){
        this.user_id = user_id;
    }
    public int getUser_id(){
        return this.user_id;
    }
}
